Subject: bug#30078: 27.0.50; Use lexical-binding for M-:

From: Luis Gerhorst <[email-masked]>
Date: Sat, 13 Jan 2018 21:19:40 +0100

Eli Zaretskii writes:

> Do we know for a fact that most users who extend Emacs by writing
> their own Lisp have background in Lisps and other similar languages
> where lexical binding is the default?  If not, dynamic binding might
> be easier to grasp for the newcomers.

I wouldn't say we know it for a fact, but I would say we can be pretty
sure about it.

I think nobody would deny that imperative languages, which mostly use
lexical binding, are much more popular (e.g. google the 10 most popular
programming languages).

You may argue that Emacs users have another background but if you go to
https://github.com/topics/emacs and look at the contributors of an
arbitrary project you can be almost certain they have at least one
imperative language in ther portfolio (most I've looked at only have
imperative languages and Emacs Lisp projects).